org.eclipse.jgit.diff

## Class HashedSequence<S extends Sequence>

- java.lang.Object
- - org.eclipse.jgit.diff.Sequence
  - - org.eclipse.jgit.diff.HashedSequence<S>

Type Parameters:
  `S` - the base sequence type.

    public final class HashedSequence<S extends Sequence>
    extends Sequence

Wraps a `Sequence` to assign hash codes to elements.

This sequence acts as a proxy for the real sequence, caching element hash codes so they don't need to be recomputed each time. Sequences of this type must be used with a `HashedSequenceComparator`.

To construct an instance of this type use `HashedSequencePair`.

### Method Summary

Methods
`int` `size()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### size

    public int size()

Specified by:
  `size` in class `Sequence`
Returns:
  total number of items in the sequence.